Bug 5793 - parameters in guided reports are lost when changing result page
Summary: parameters in guided reports are lost when changing result page
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: rel_3_2
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-22 14:09 UTC by Martin Longo
Modified: 2012-10-26 00:51 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Longo 2011-02-22 14:09:09 UTC
When a guided report that needs a run time parameter is executed it works fine, but if the results are presented in more than one page, clicking either a page number or the 'next page' link (>) executes the report as if it was the first time. It asks for the run time parameter again and presents the first page of results.

Tests show that this is fixed adding 'sql_param=[runtime parameter here]' to the link to the other results pages.
Comment 1 Katrin Fischer 2012-04-14 11:06:05 UTC
I tested this on current master and paging works with runtime parameters without problems there. The bug was filed against 3.2 which is no longer maintained. Marking WONTFIX.